Subject: Re: bug#12754: factor.c selects 64 bit code from longlong.h on 32-bit hppa systems

From: Pádraig Brady <[email-masked]>
Date: Sun, 04 Nov 2012 02:11:19 +0000

On 11/04/2012 02:00 AM, John David Anglin wrote:
>
> On 3-Nov-12, at 9:44 PM, Pádraig Brady wrote:
>
>> Also this related one already mentioned:
>> http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=6108baa4
>
>
> This one seems to have lost
>
> +#include <inttypes.h>
>
> from the original patch to make-prime-list.c.  I think this is needed to define
> PRIxMAX.

So the patches were adjusted slightly and since they spanned both
this issue and issue 12753 I didn't post them in full again
to a particular issue, to avoid confusion, which I've obivously failed in.
Forry about that, I won't do that again :)

Anyway the patch referenced above didn't actually introduce PRIxMAX,
that was done in this patch from issue 12753
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=5e940180

thanks for all the double checking,
Pádraig.